﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;
using Performance.DtoModels;
using Performance.DtoModels.AppSettings;
using Performance.EntityModels;
using Performance.Infrastructure;
using Performance.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Performance.Api.Controllers
{
    [Route("api/[controller]")]
    public class TemplateController : Controller
    {
        private readonly TemplateService templateService;
        private readonly ExtractService extractService;

        public TemplateController(TemplateService templateService,
            ExtractService extractService)
        {
            this.templateService = templateService;
            this.extractService = extractService;
        }

        /// <summary>
        /// 提取绩效数据
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [Route("extractdata")]
        [HttpPost]
        public ApiResponse ExtractData([FromBody]ApiRequest request)
        {
            var filePath = extractService.ExtractData(24);
            return new ApiResponse(ResponseType.OK, "OK", filePath);
        }
    }
}