﻿using Microsoft.Extensions.Options;
using Performance.DtoModels.AppSettings;
using Performance.Infrastructure;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Performance.Services
{
    public class TemplateService : IAutoInjection
    {
        private Application application;
        private IEmailService emailService;
        public TemplateService(IOptions<Application>  options, IEmailService emailService)
        {
            this.application = options.Value;
            this.emailService = emailService;
        }


        public bool FirstSubmit()
        {

            return true;
        }

        /// <summary>
        /// 发送邮件
        /// </summary>
        /// <param name="allot"></param>
        /// <param name="mail"></param>
        /// <param name="subject"></param>
        /// <param name="body"></param>
        private void SendEmail( string mail, string subject, string body)
        {
            var message = new EmailMessage
            {
                To = application.Receiver.ToList(),
                DisplayName = "溯直健康",
                Subject = subject,
                Body = body
            };
            emailService.SendAsync(message);
        }
    }
}
